### Method

# Gsk PathPointget_tangent

since: 4.14

#### Declaration [src]

    void
    gsk_path_point_get_tangent (
      const GskPathPoint* point,
      GskPath* path,
      GskPathDirection direction,
      graphene_vec2_t* tangent
    )

#### Description [src]

Gets the tangent of the path at the point.

Note that certain points on a path may not have a single tangent, such as sharp turns. At such points, there are two tangents — the direction of the path going into the point, and the direction coming out of it. The `direction` argument lets you choose which one to get.

If the path is just a single point (e.g. a circle with radius zero), then `tangent` is set to `0, 0`.

If you want to orient something in the direction of the path, `gsk_path_point_get_rotation()` may be more convenient to use.

Available since: 4.14

#### Parameters

`path`

  Type: `GskPath`

  The path that `point` is on.

  The data is owned by the caller of the method.

`direction`

  Type: `GskPathDirection`

  The direction for which to return the tangent.

`tangent`

  Type: `graphene_vec2_t`

  Return location for the tangent at the point.

  The argument will be set by the function.
  The data is owned by the instance.